/* ===================================================================== *
 * An example include file showing the use of ScanDoc tags
 * ===================================================================== */

/** @author  Talin
    @package Network
*/

#ifndef NETWORK_AUTHENTICATOR_H
#define NETWORK_AUTHENTICATOR_H

class CAuthorityRecord;

class CAuthenticator {
public:
        /** Get an existing authority record.
            @param inAccount Login name of entity
            @param inPassword Entity's password
            @param inNewRecord True if entity is attempting to establish a new account.
            @param outErrorBuf description of error if any.
            @param inErrBufSize Size of error buffer
            @return The requested authority record, or NULL if the function failed.
        */
    virtual CAuthorityRecord *Get( char *inAccount,
                                   char *inPassword,
                                   bool inNewRecord,
                                   char *outErrorBuf,
                                   int inErrBufSize ) = 0;
};

#endif
